

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/mm/discontig.c |    3 +--
 25-akpm/arch/ia64/mm/init.c      |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/ia64/mm/discontig.c~dont-pass-mem_map-into-init-functions-ia64-fix-2 arch/ia64/mm/discontig.c
--- 25/arch/ia64/mm/discontig.c~dont-pass-mem_map-into-init-functions-ia64-fix-2	2004-08-08 13:57:16.484791896 -0700
+++ 25-akpm/arch/ia64/mm/discontig.c	2004-08-08 13:57:16.490790984 -0700
@@ -665,8 +665,7 @@ void paging_init(void)
 
 		pfn_offset = mem_data[node].min_pfn;
 
-		free_area_init_node(node, NODE_DATA(node),
-				    vmem_map + pfn_offset, zones_size,
+		free_area_init_node(node, NODE_DATA(node), zones_size,
 				    pfn_offset, zholes_size);
 	}
 
diff -puN arch/ia64/mm/init.c~dont-pass-mem_map-into-init-functions-ia64-fix-2 arch/ia64/mm/init.c
--- 25/arch/ia64/mm/init.c~dont-pass-mem_map-into-init-functions-ia64-fix-2	2004-08-08 13:57:16.485791744 -0700
+++ 25-akpm/arch/ia64/mm/init.c	2004-08-08 13:57:16.489791136 -0700
@@ -427,7 +427,7 @@ virtual_memmap_init (u64 start, u64 end,
 		    / sizeof(struct page));
 
 	if (map_start < map_end)
-		memmap_init_zone(map_start, (unsigned long) (map_end - map_start),
+		memmap_init_zone((unsigned long)(map_end - map_start),
 				 args->nid, args->zone, page_to_pfn(map_start));
 	return 0;
 }
_
